import numpy as np
from random import *
import generateBob
import os
import pandas as pd 
import sys


dirpath = os.getcwd()
target_file = pd.read_csv(dirpath+'/bob_target.dat',header=None, sep=',', engine='python')
max_mol,max_seg = target_file.iloc[0].values[0].split()

alpha = float(target_file.iloc[1].values)
molar_w, num_monomer, density = target_file.iloc[3].values[0].split()
taue, T = target_file.iloc[4].values[0].split()
numComponents = int(target_file.iloc[5].values)

numPolymers1, polymerType1 = target_file.iloc[7].values[0].split()
armType1 = int(target_file.iloc[8].values)

numArms1 = int(target_file.iloc[10].values)
numPolymers2, polymerType2 = target_file.iloc[12].values[0].split()
armType2 = int(target_file.iloc[13].values)
numArms2 = int(target_file.iloc[15].values)


def main():
    MWD1 = random()

    Mass =[uniform(20000,100000) for _ in range(numComponents)]
    PDI = [uniform(1.4,3) for _ in range(numComponents)]
    Infile = open(sys.argv[1],"w") #
    Infile.write(str(MWD1)+"\n")
    
    for i in range(len(Mass)):
        Infile.write(str(Mass[i])+'\n')

    for j in range(len(PDI)):
        Infile.write(str(PDI[i])+'\n')
    Infile.close()

if __name__=='__main__':
    main()
